## ndpi 1.4.0+svn6932

=== debian/changelog ===
ndpi (1.4.0+svn6932-1) unstable; urgency=low

  * New upstream release (synced with ntopng 1.1).
  * Update symbols file.
  * Remove unused substitution variable in control file.

 -- Ludovico Cavedon <cavedon@debian.org>  Mon, 11 Nov 2013 23:20:11 -0800

ndpi (1.4.0+svn6712-1) unstable; urgency=low

  * Initial release. Thanks to Raphaël Hertzog. (Closes: #721551)

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 01 Sep 2013 23:06:24 +0200
