=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf, libjson-c-dev,
+ libpcap-dev, pkg-config
+Standards-Version: 3.9.5
 Homepage: http://www.ntop.org/products/ndpi/
 Vcs-Git: git://anonscm.debian.org/collab-maint/ndpi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ndpi.git
@@ -11,7 +12,7 @@
 Package: libndpi-dev
 Section: libdevel
 Architecture: any
-Depends: libndpi1 (= ${binary:Version}), ${misc:Depends}
+Depends: libndpi1a (= ${binary:Version}), ${misc:Depends}
 Description: extensible deep packet inspection library - development files
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -27,10 +28,12 @@
  .
  This package contains the static library and compilation headers.
 
-Package: libndpi1
+Package: libndpi1a
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libndpi1
+Replaces: libndpi1
 Description: extensible deep packet inspection library - shared library
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -45,3 +48,45 @@
  (e.g. detect http non ports other than 80), and also the opposite.
  .
  This package contains the shared library.
+
+Package: libndpi-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libndpi1a (= ${binary:Version}),
+         libndpi-bin (= ${binary:Version}),
+         ${misc:Depends}
+Description: extensible deep packet inspection library - debug symbols
+ nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
+ under the LGPL license, its goal is to extend the original library by adding
+ new protocols that are otherwise available only on the paid version of
+ OpenDPI.
+ .
+ nDPI has also been modified to be suitable for traffic monitoring
+ applications, by disabling specific features that slow down the DPI engine
+ while being them un-necessary for network traffic monitoring.
+ .
+ With nDPI, it is possible to both detect known protocols on non-standard ports
+ (e.g. detect http non ports other than 80), and also the opposite.
+ .
+ This package contains the debug symbols for the shared library.
+
+Package: libndpi-bin
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: extensible deep packet inspection library - ndpiReader
+ nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
+ under the LGPL license, its goal is to extend the original library by adding
+ new protocols that are otherwise available only on the paid version of
+ OpenDPI.
+ .
+ nDPI has also been modified to be suitable for traffic monitoring
+ applications, by disabling specific features that slow down the DPI engine
+ while being them un-necessary for network traffic monitoring.
+ .
+ With nDPI, it is possible to both detect known protocols on non-standard ports
+ (e.g. detect http non ports other than 80), and also the opposite.
+ .
+ This package contains the ndpiReader binary.
