=== debian/changelog ===
ndpi (1.7.1~git20151130.6f3d5a7-1) unstable; urgency=medium

  * Imported Upstream version 1.7.1~git20151130.6f3d5a7
  * Support fetching a specific version from upstream git.
  * Refresh patches.
  * Update copyright.
  * Update symbols list.
  * Add add-missing-headers.patch to include ndpi_includes.h.

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 25 Dec 2015 21:00:52 +0100

ndpi (1.6-1) unstable; urgency=low

  * Imported Upstream version 1.6
  * Update copyright with the removal of embedded json-c.
  * Remove pcap-linking.patch and export-additional-symbols.patch (merged
    upstream).
  * Update json-c-use-system.patch and example-link-dynamic.patch for new
    upstream code.
  * Update debian/watch file for new upstrm tarball name.
  * Update docs and copyright.
  * Bump SONAME to 2 and update symbol file.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 09 Sep 2014 16:55:57 -0700
