=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf, libjson-c-dev,
  libpcap-dev, pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.ntop.org/products/ndpi/
-Vcs-Git: git://anonscm.debian.org/collab-maint/ndpi.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ndpi.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ndpi.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ndpi.git
 
 Package: libndpi-dev
 Section: libdevel
 Architecture: any
-Depends: libndpi1a (= ${binary:Version}), ${misc:Depends}
+Depends: libndpi3 (= ${binary:Version}), ${misc:Depends}
 Description: extensible deep packet inspection library - development files
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -28,12 +28,10 @@
  .
  This package contains the static library and compilation headers.
 
-Package: libndpi1a
+Package: libndpi3
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libndpi1
-Replaces: libndpi1
 Description: extensible deep packet inspection library - shared library
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -54,7 +52,7 @@
 Section: debug
 Priority: extra
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libndpi1a (= ${binary:Version}),
+Depends: libndpi3 (= ${binary:Version}),
          libndpi-bin (= ${binary:Version}),
          ${misc:Depends}
 Description: extensible deep packet inspection library - debug symbols
