## ndpi 1.8

=== debian/changelog ===
ndpi (1.8-1) unstable; urgency=medium

  * Imported Upstream version 1.8
  * Update copyright.
  * Refresh and update pacthes.
  * Remove export-additional-symbols.patch (merged upstream).
  * Update Standards-Version to 3.9.8.
  * Update symbols file for libndpi3.
  * Bump SONAME to libndpi4.
  * Enable all build hardening.
  * Migrate to libndpi-dbgsym.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 10 Dec 2016 20:08:44 -0800
