=== debian/control ===
--- 
+++ 
@@ -2,9 +2,15 @@
 Section: libs
 Priority: optional
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf, libjson-c-dev,
- libpcap-dev, pkg-config
-Standards-Version: 3.9.6
+Build-Depends:
+    autotools-dev,
+    debhelper (>= 9.20160114),
+    dpkg-dev (>= 1.16.1.1),
+    dh-autoreconf,
+    libjson-c-dev,
+    libpcap-dev,
+    pkg-config,
+Standards-Version: 3.9.8
 Homepage: http://www.ntop.org/products/ndpi/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ndpi.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ndpi.git
@@ -12,7 +18,7 @@
 Package: libndpi-dev
 Section: libdevel
 Architecture: any
-Depends: libndpi3 (= ${binary:Version}), ${misc:Depends}
+Depends: libndpi4 (= ${binary:Version}), ${misc:Depends}
 Description: extensible deep packet inspection library - development files
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -28,7 +34,7 @@
  .
  This package contains the static library and compilation headers.
 
-Package: libndpi3
+Package: libndpi4
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -46,29 +52,6 @@
  (e.g. detect http non ports other than 80), and also the opposite.
  .
  This package contains the shared library.
-
-Package: libndpi-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libndpi3 (= ${binary:Version}),
-         libndpi-bin (= ${binary:Version}),
-         ${misc:Depends}
-Description: extensible deep packet inspection library - debug symbols
- nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
- under the LGPL license, its goal is to extend the original library by adding
- new protocols that are otherwise available only on the paid version of
- OpenDPI.
- .
- nDPI has also been modified to be suitable for traffic monitoring
- applications, by disabling specific features that slow down the DPI engine
- while being them un-necessary for network traffic monitoring.
- .
- With nDPI, it is possible to both detect known protocols on non-standard ports
- (e.g. detect http non ports other than 80), and also the opposite.
- .
- This package contains the debug symbols for the shared library.
 
 Package: libndpi-bin
 Architecture: any
