=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@ --with autoreconf
@@ -7,7 +11,7 @@
 	dh_auto_configure -- --with-system-json-c --enable-examples-dynamic-linking
 
 override_dh_strip:
-	dh_strip --dbg-package=libndpi-dbg
+	dh_strip --dbgsym-migration='libndpi-dbg (<< 1.8-1~)'
 
 
 # Adapted from http://wiki.debian.org/SandroTosi/Svn_get-orig-source
