=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Build-Depends:
     autotools-dev,
     debhelper (>= 9.20160114),
+    dh-exec (>=0.3),
     dpkg-dev (>= 1.16.1.1),
-    dh-autoreconf,
     libjson-c-dev,
     libpcap-dev,
     pkg-config,
-Standards-Version: 3.9.8
+    xdelta,
+Standards-Version: 4.1.2
 Homepage: http://www.ntop.org/products/ndpi/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ndpi.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ndpi.git
@@ -18,7 +19,7 @@
 Package: libndpi-dev
 Section: libdevel
 Architecture: any
-Depends: libndpi4 (= ${binary:Version}), ${misc:Depends}
+Depends: libndpi5 (= ${binary:Version}), ${misc:Depends}
 Description: extensible deep packet inspection library - development files
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -34,10 +35,11 @@
  .
  This package contains the static library and compilation headers.
 
-Package: libndpi4
+Package: libndpi5
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: extensible deep packet inspection library - shared library
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -57,6 +59,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Description: extensible deep packet inspection library - ndpiReader
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -71,3 +74,24 @@
  (e.g. detect http non ports other than 80), and also the opposite.
  .
  This package contains the ndpiReader binary.
+
+Package: libndpi-wireshark
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libndpi-bin (>= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Description: extensible deep packet inspection library - wireshark dissector
+ nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
+ under the LGPL license, its goal is to extend the original library by adding
+ new protocols that are otherwise available only on the paid version of
+ OpenDPI.
+ .
+ nDPI has also been modified to be suitable for traffic monitoring
+ applications, by disabling specific features that slow down the DPI engine
+ while being them un-necessary for network traffic monitoring.
+ .
+ With nDPI, it is possible to both detect known protocols on non-standard ports
+ (e.g. detect http non ports other than 80), and also the opposite.
+ .
+ This package contains the wireshark dissector based on nDPI.  The dissector is
+ installed in the plugin directory for wireshark version 2.4.3.
