=== debian/changelog ===
ndpi (2.6-5) unstable; urgency=medium

  * Team upload (salsa.d.o namespace)
  * Add CPPFLAGS to make blhc happy
  * Also add LDFLAGS
  * Bump compat level to 12
  * Bump std-version to 4.4.0
  * Make copyright URI in https mode

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Sep 2019 23:04:00 +0200

ndpi (2.6-4) unstable; urgency=medium

  * Team upload (salsa.d.o namespace)
  * debian/patches/662.patch:
    - make the build reproducible (Closes: #929609)
  * debian/patches/aea91781aa476589361e16ece6aa6c10102e0f33.patch:
    - fix armhf failure with upstream patch (Closes: #917238)
  * debian/patches/cross.patch:
    - Patch from Helmut Grohne <helmut@subdivi.de> to fix FTCBFS on
      cross-builds (Closes: #939286)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2019 18:37:11 +0200

ndpi (2.6-3) unstable; urgency=medium

  * Add packet-direction.patch and quic.patch to fix big-endian-related bugs.
  * Disable tests that have inconsistent behavior across architecture due to
    broken sorting in the test code.

 -- Ludovico Cavedon <cavedon@debian.org>  Wed, 16 Jan 2019 01:48:34 -0800

ndpi (2.6-2) unstable; urgency=medium

  * Remove no longer needed build-dep on xdelta.
  * Fix reference-after-free in ndpiReader and optimistically re-enable all
    tests succeeding on amd64 and i386.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 15 Jan 2019 01:04:36 -0800

ndpi (2.6-1) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [e941738] Update upstream source from tag 'upstream/2.6'
    Update to upstream version '2.6'
    with Debian dir ebb088f5b1a1a88743e71021b4a9c252b397527e
    This will also hopefully fix all test issues.
    Closes: #886133
  * [a7ca26d] Removing patches as they don't apply anymore.
  * [52af6ea] Disable binary patches for tests
  * [61b7054] Install into /usr
  * [9a430fe] Add patch to fix prefix in Makefile.
  * [647cd1a] Fix and activate tests.
  * [65e0c54] Updating git info
  * [e54c89d] Updating symbols file.
  * [f0451ce] Add gitlab CI file.
  * [9a4a0f1] Disable tests which are broken on big endian.
  * [d58ddad] Disabling another test.

  [ Ludovico Cavedon ]
  * Change SONAME and lib package name to include minory library version.
  * Use libwireshark-dev to determine wireshak plugin path.
  * Add define-have-json-c.patch to ensure ndpiReader is compiled with JSON
    support.
  * Link ndpiReader dynamically against libndpi and avoid lnking against
    unnecessary C++ libraries.
  * Stop adding libcache.h to -dev package.
  * Add DEP3 header to patches/fix-makefile-prefix.
  * Check DEB_BUILD_OPTIONS before running tests.
  * Update Standards-Version to 4.3.0.
  * Update debian/copyright for new upstream code.

 -- Ludovico Cavedon <cavedon@debian.org>  Mon, 14 Jan 2019 11:17:02 -0800
