=== debian/control ===
--- 
+++ 
@@ -3,23 +3,22 @@
 Priority: optional
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends:
-    autotools-dev,
-    debhelper (>= 9.20160114),
+    debhelper-compat (= 12),
     dh-exec (>=0.3),
     dpkg-dev (>= 1.16.1.1),
     libjson-c-dev,
     libpcap-dev,
+    libwireshark-dev,
     pkg-config,
-    xdelta,
-Standards-Version: 4.1.2
+Standards-Version: 4.4.0
 Homepage: http://www.ntop.org/products/ndpi/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ndpi.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ndpi.git
+Vcs-Git: https://salsa.debian.org/debian/ndpi.git
+Vcs-Browser: https://salsa.debian.org/debian/ndpi
 
 Package: libndpi-dev
 Section: libdevel
 Architecture: any
-Depends: libndpi5 (= ${binary:Version}), ${misc:Depends}
+Depends: libndpi2.6 (= ${binary:Version}), ${misc:Depends}
 Description: extensible deep packet inspection library - development files
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -35,7 +34,7 @@
  .
  This package contains the static library and compilation headers.
 
-Package: libndpi5
+Package: libndpi2.6
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -94,4 +93,4 @@
  (e.g. detect http non ports other than 80), and also the opposite.
  .
  This package contains the wireshark dissector based on nDPI.  The dissector is
- installed in the plugin directory for wireshark version 2.4.3.
+ installed in the plugin directory for the current wireshark version.
