=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
     dpkg-dev (>= 1.16.1.1),
     libjson-c-dev,
     libpcap-dev,
-    libwireshark-dev,
+    libwireshark-dev (>= 3.0~),
     pkg-config,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: http://www.ntop.org/products/ndpi/
 Vcs-Git: https://salsa.debian.org/debian/ndpi.git
 Vcs-Browser: https://salsa.debian.org/debian/ndpi
@@ -18,7 +18,7 @@
 Package: libndpi-dev
 Section: libdevel
 Architecture: any
-Depends: libndpi2.6 (= ${binary:Version}), ${misc:Depends}
+Depends: libndpi3.0 (= ${binary:Version}), ${misc:Depends}
 Description: extensible deep packet inspection library - development files
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -34,7 +34,7 @@
  .
  This package contains the static library and compilation headers.
 
-Package: libndpi2.6
+Package: libndpi3.0
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
