=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Priority: optional
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends:
-    debhelper-compat (= 12),
+    debhelper-compat (= 13),
     dh-exec (>=0.3),
     dpkg-dev (>= 1.16.1.1),
+    libgcrypt20-dev,
     libjson-c-dev,
     libpcap-dev,
     libwireshark-dev (>= 3.0~),
     pkg-config,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.ntop.org/products/ndpi/
 Vcs-Git: https://salsa.debian.org/debian/ndpi.git
 Vcs-Browser: https://salsa.debian.org/debian/ndpi
@@ -18,7 +20,8 @@
 Package: libndpi-dev
 Section: libdevel
 Architecture: any
-Depends: libndpi3.0 (= ${binary:Version}), ${misc:Depends}
+Depends: libndpi3.4 (= ${binary:Version}), ${misc:Depends},
+  libgcrypt20-dev
 Description: extensible deep packet inspection library - development files
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
  under the LGPL license, its goal is to extend the original library by adding
@@ -34,7 +37,7 @@
  .
  This package contains the static library and compilation headers.
 
-Package: libndpi3.0
+Package: libndpi3.4
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
