## ndpi 4.0

=== debian/changelog ===
ndpi (4.0-4) unstable; urgency=medium

  * Team upload
  * Drop old include-binaries useless file
  * Update std-version to 4.6.0
  * Drop old override_dh_strip, the dbgsym migration is now done
  * Drop two old copyright entries

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Sep 2021 22:04:56 +0200

ndpi (4.0-3) unstable; urgency=medium

  * Team upload
  [ Bernhard Übelacker <bernhardu@mailbox.org> ]
  * debian/patches/fix-unaligned-memory-accesses-with-get_u_int64_t-at-
    armhf.patch
  * debian/patches/use-get_u_int64_t-to-avoid-unaligned-memory-access-at-
    armhf.patch:
    - fix two armhf unaligned accesses. (Closes: #993627)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Sep 2021 21:57:52 +0200

ndpi (4.0-2) unstable; urgency=medium

  * Rebuild on official builders.
    - not asking for a binNMU because it requires an NMU on every architecture
      due to multi-arch, and better avoid useless mips rebuilds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Sep 2021 18:59:20 +0200

ndpi (4.0-1) unstable; urgency=medium

  * New upstream version 4.0
    - CVE-2021-36082 Closes: #990528
  * Refresh patches
  * bump somane from 3.4 to 4.0 and refresh symbols
  * update copyright file
  * add patch to force usage of system uthash

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Aug 2021 14:04:41 +0200

ndpi (3.4-3) unstable; urgency=high

  * Team upload.
  * Fix i386 build by changing the precision of the calculations.
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #981771)

 -- Raphaël Hertzog <raphael@offensive-security.com>  Tue, 09 Feb 2021 12:14:08 +0100
