=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
     libgcrypt20-dev,
     libjson-c-dev,
     libpcap-dev,
+    uthash-dev,
     libwireshark-dev (>= 3.0~),
     pkg-config,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://www.ntop.org/products/ndpi/
 Vcs-Git: https://salsa.debian.org/debian/ndpi.git
@@ -20,7 +21,7 @@
 Package: libndpi-dev
 Section: libdevel
 Architecture: any
-Depends: libndpi3.4 (= ${binary:Version}), ${misc:Depends},
+Depends: libndpi4.0 (= ${binary:Version}), ${misc:Depends},
   libgcrypt20-dev
 Description: extensible deep packet inspection library - development files
  nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
@@ -37,7 +38,7 @@
  .
  This package contains the static library and compilation headers.
 
-Package: libndpi3.4
+Package: libndpi4.0
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
