=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,12 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
+
+# Avoid calculatin differences in timing that make the build
+# fail on i386 (see https://bugs.debian.org/981771)
+ifneq (,$(filter $(DEB_HOST_ARCH), i386))
+    export DEB_CFLAGS_MAINT_APPEND += -ffloat-store
+endif
 
 # Used by debian/libndpi-wireshark.{install,links}. Evaluated when referenced.
 WIRESHARK_PLUGINDIR = $(shell pkg-config --variable=plugindir wireshark)
@@ -29,8 +35,4 @@
 	cd tests && LD_LIBRARY_PATH=$(CURDIR)/src/lib ./do.sh
 endif
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libndpi-dbg (<< 1.8-1~)'
-
-
-.PHONY: override_dh_auto_configure override_dh_strip
+.PHONY: override_dh_auto_configure
